import { RcFile } from "antd/es/upload";

/** 获取base64 */
export const getBase64 = (file: RcFile, callback: (url: string) => void) => {
    const reader = new FileReader();
    reader.addEventListener('load', () => callback(reader.result as string));
    reader.readAsDataURL(file);
};

/** 获取图片上传宽高 */
export const getImgSizeProper = (file: RcFile): Promise<void> => {
    return new Promise((resolve: (value: any | PromiseLike<void>) => void) => {
        let img: any = new Image();
        let _URL = window.URL || window.webkitURL;
        img.onload = function (e: any) {
            resolve({ width: this.width, height: this.height })
        }
        img.src = _URL.createObjectURL(file);
    })
}